%define postmain /etc/postfix/main.cf

Summary: This will enable postfix to accept mail from the outside world
Name: zz_postfix_accept
Version: 1.1
Release: 1
License: GPL
Group: SL
Vendor: Scientific Linux
Packager: Troy Dawson
Requires: postfix
BuildArchitectures: noarch
%description

This rpm modifies the postfix main.cf file and restarts postfix so postfix
will accept mail from the outside world and not just localhost.

%files
%triggerin -- postfix
if [ -f %{postmain} ] ; then
	sed -i -e "s:^inet_interfaces = localhost:\#inet_interfaces = localhost:"  %{postmain}
	sed -i -e "s:^#inet_interfaces = all:inet_interfaces = all:"  %{postmain}
	service postfix restart > /dev/null
fi

%postun
if [ -f %{postmain} ] ; then
	sed -i -e "s:^#inet_interfaces = localhost:\inet_interfaces = localhost:"  %{postmain}
	sed -i -e "s:^inet_interfaces = all:#inet_interfaces = all:"  %{postmain}
	service postfix restart > /dev/null
fi


%changelog
* Mon Apr 04 2011 Troy Dawson <dawson@fnal.gov> 1.0-1
- Changed "services" to "service" to fix the scripts.

* Mon Apr 04 2011 Troy Dawson <dawson@fnal.gov> 1.0-0.1
- First go round

